> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit a form field

> Edit an existing field in a form



## OpenAPI

````yaml put /admin/form/field
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/form/field:
    put:
      tags:
        - Program Forms
      summary: Edit a form field
      description: Edit an existing field in a form
      operationId: 3f21fa6953a37dd87a1cf909ea595c22
      requestBody:
        description: Field data to be updated
        required: true
        content:
          application/json:
            schema:
              properties:
                id:
                  type: integer
                client_id:
                  type: string
                hysform_id:
                  type: integer
                field_key:
                  type: string
                field_label:
                  type: string
                field_data:
                  type: string
                  nullable: true
                field_type:
                  type: string
                required:
                  type: boolean
                permissions:
                  type: string
                admingroup_id:
                  type: integer
                is_title:
                  type: boolean
                sortable:
                  type: integer
                filter:
                  type: integer
                field_order:
                  type: integer
                deleted_at:
                  type: string
                  nullable: true
                created_at:
                  type: string
                updated_at:
                  type: string
                type:
                  type: string
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                type: object
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````